Bug 850882 - ovirt-engine-backend: engine should avoid reconstruct master when target domain is unreachable
ovirt-engine-backend: engine should avoid reconstruct master when target doma...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 11:54 EDT by Dafna Ron
Modified: 2016-02-10 15:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (615.17 KB, application/x-gzip)
2012-08-22 11:54 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-22 11:54:15 EDT
Created attachment 606316 [details]
logs

Description of problem:

there is no rollback on manual reconstruct when target domain is unreachable. 
leaving us with "Wrong Master domain or its version" error

Version-Release number of selected component (if applicable):

si15

How reproducible:

100%

Steps to Reproduce:
1. create a two host cluster + 2 domains located on different storage servers (I tested on NFS)
2. from both hosts using iptables, block the non-master SD
3. put Master Stroage Domain in maintenance 
  
Actual results:

we would fail reconstruct but will not rollback 
master version will change and we would end up with "Wrong Master domain or its version" - > unable to start the old master domain. 

Expected results:

we should rollback and not change master version

Additional info:logs
Comment 3 Itamar Heim 2013-02-25 02:25:21 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.